Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.common
Class ScriptPostProcess

    java.lang.Object
      org.apache.portals.bridges.common.ScriptPostProcess

public class ScriptPostProcess
extends Object

ScriptPostProcess Utility class for post processing perl or php created pages.

Version:
  $Id: ScriptPostProcess.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Field Summary
`(package private) StringBuffer` | `internalPage`

Constructor Summary
`ScriptPostProcess()`

Method Summary
`String` | `getFinalizedPage()` getFinalizedPage
`void` | `postProcessPage(javax.portlet.PortletURL actionURL, String actionParameterName)` postProcessPage() Applies default rules for processing HREFS and actions in an HTML page
`void` | `processPage(String startTag, String endTag, String ref, javax.portlet.PortletURL actionURL, String actionParameterName)` processPage() Apply one rule to the page
`void` | `setInitalPage(StringBuffer page)` setInitialPage() Sets the internal page that will be processed by invoking the different methods

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### internalPage

    StringBuffer internalPage

Constructor Detail

### ScriptPostProcess

    public ScriptPostProcess()

Method Detail

### getFinalizedPage

    public String getFinalizedPage()

  getFinalizedPage

  Returns:
    String processed page

### setInitalPage

    public void setInitalPage(StringBuffer page)

  setInitialPage() Sets the internal page that will be processed by invoking the different methods

  Parameters:
    `page` -

### postProcessPage

    public void postProcessPage(javax.portlet.PortletURL actionURL,
                                String actionParameterName)

  postProcessPage() Applies default rules for processing HREFS and actions in an HTML page

  Parameters:
    `actionURL` -
    `actionParameterName` -

### processPage

    public void processPage(String startTag,
                            String endTag,
                            String ref,
                            javax.portlet.PortletURL actionURL,
                            String actionParameterName)

  processPage() Apply one rule to the page

  Parameters:
    `startTag` -
    `endTag` -
    `ref` -
    `actionURL` -
    `actionParameterName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.